Skip to main content
PATCH
/
v1
/
chatbots
/
chatbot
/
{chatbotId}
/
personas
/
{personaId}
Update Persona
curl --request PATCH \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatbots/chatbot/{chatbotId}/personas/{personaId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "instructions": "<string>",
  "creativityLevel": 0.5
}
'
{
  "success": true,
  "message": "Persona updated successfully",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "chatbotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "Customer Service Bot",
    "description": "A friendly customer service representative",
    "instructions": "You are a customer service representative...",
    "creativityLevel": 0.7,
    "deletable": false,
    "isActive": false,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required
Example:

"361628903185318481"

personaId
string
required

Body

application/json
title
string

Title of the persona

Maximum string length: 50
description
string | null

Description of the persona's role

instructions
string

System instructions for the persona

creativityLevel
number<float>

Temperature / creativity level

Required range: 0 <= x <= 1

Response

Updated

success
boolean
Example:

true

message
string
Example:

"Persona updated successfully"

data
object